> For the complete documentation index, see [llms.txt](https://docs.questera.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.questera.ai/questera-ai-sdks/rest-apis/gamification/badge-object.md).

# Badge Object

<table><thead><tr><th width="207">Field</th><th width="111.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td>badgeId</td><td>string</td><td>Badge Id for the specific badge</td></tr><tr><td>entityId</td><td>string</td><td>Entity Id for which badge belongs to</td></tr><tr><td>name</td><td>string</td><td>Name of the badge</td></tr><tr><td>description</td><td>string</td><td>More details regarding the badge</td></tr><tr><td>imageIPFS</td><td>string</td><td>IPFS hash for the image. In order to use it append <a href="https://ipfs.io/ipfs/">ipfs.io/ipfs/ </a>or any other gateway to the IPFS hash.</td></tr><tr><td>xp</td><td>number</td><td>XP is the # of experience points that every user will get while claiming this badge</td></tr><tr><td>visibility</td><td>string</td><td>Indicates if the badge is open to be claimed by anyone of set of specific users. (Values include - "OPEN" &#x26; "LIMITED")</td></tr><tr><td>type</td><td>string</td><td>Indicates the type of badge, currently feel free to just pass "NONE" in here. </td></tr><tr><td>remainingCount</td><td>number</td><td>For open badges, it determines the number of users that can </td></tr><tr><td>badgeContractTokenId</td><td>string</td><td>Token Id of the badge soulbound nft from the ERC1155 contract address for the entity</td></tr><tr><td>endsAt</td><td>number</td><td>Depicts the time when badge claiming expires. Value is in ms since 1970 </td></tr><tr><td>claimStatus</td><td>string</td><td>It currently can have 3 values "CLAIMED" or "UNCLAIMED" or "NOT_WHITELISTED"</td></tr><tr><td>claimed</td><td>boolean</td><td>Bool value indicating if user claimed the badge or not</td></tr><tr><td>inDyNFT</td><td>boolean</td><td>Bool value indicating if this badge is added into the users Dynamic Avatar NFT for the entity.</td></tr><tr><td>skills</td><td>array</td><td>Contains array of skills and respective scores that a user will earn while claiming this badge. Every item in the array will have "skillId" and "score"</td></tr><tr><td>proofType</td><td>string</td><td>Indicates the type of the badge like Proof of Appreciation, Proof of Engagement, Proof or Certification etc</td></tr><tr><td>typeData</td><td>array</td><td>Array of extra misc information that you want to store with your badge</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.questera.ai/questera-ai-sdks/rest-apis/gamification/badge-object.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
